# Admin Data Transfer API . applications

## Instance Methods

Retrieves information about an application for the given application ID.

Lists the applications available for data transfer for a customer.

Retrieves the next page of results.

### Method Details

`get(applicationId)`

    Retrieves information about an application for the given application ID.

    Args:
      applicationId: string, ID of the application resource to be retrieved. (required)

    Returns:
      An object of the form:

        { # The JSON template for an Application resource.
        "kind": "admin#datatransfer#ApplicationResource", # Identifies the resource as a DataTransfer Application Resource.
        "etag": "A String", # Etag of the resource.
        "transferParams": [ # The list of all possible transfer parameters for this application. These parameters can be used to select the data of the user in this application to be transfered.
          { # Template for application transfer parameters.
            "value": [ # The value of the coressponding transfer parameter. eg: 'PRIVATE' or 'SHARED'
              "A String",
            ],
            "key": "A String", # The type of the transfer parameter. eg: 'PRIVACY_LEVEL'
          },
        ],
        "id": "A String", # The application's ID.
        "name": "A String", # The application's name.
      }

`list(pageToken=None, maxResults=None, customerId=None)`

    Lists the applications available for data transfer for a customer.

    Args:
      pageToken: string, Token to specify next page in the list.
      maxResults: integer, Maximum number of results to return. Default is 100.
      customerId: string, Immutable ID of the Google Apps account.

    Returns:
      An object of the form:

        { # Template for a collection of Applications.
        "nextPageToken": "A String", # Continuation token which will be used to specify next page in list API.
        "applications": [ # List of applications that support data transfer and are also installed for the customer.
          { # The JSON template for an Application resource.
            "kind": "admin#datatransfer#ApplicationResource", # Identifies the resource as a DataTransfer Application Resource.
            "etag": "A String", # Etag of the resource.
            "transferParams": [ # The list of all possible transfer parameters for this application. These parameters can be used to select the data of the user in this application to be transfered.
              { # Template for application transfer parameters.
                "value": [ # The value of the coressponding transfer parameter. eg: 'PRIVATE' or 'SHARED'
                  "A String",
                ],
                "key": "A String", # The type of the transfer parameter. eg: 'PRIVACY_LEVEL'
              },
            ],
            "id": "A String", # The application's ID.
            "name": "A String", # The application's name.
          },
        ],
        "kind": "admin#datatransfer#applicationsList", # Identifies the resource as a collection of Applications.
        "etag": "A String", # ETag of the resource.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.